package com.pj.tb_group;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_group -- 互助组
 * @author qzy 
 */
@Data
@Accessors(chain = true)
@TableName(TbGroup.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbGroup extends Model<TbGroup> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_group";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-group";
	public static final String PERMISSION_CODE_ADD = "tb-group-add";
	public static final String PERMISSION_CODE_EDIT = "tb-group-edit";
	public static final String PERMISSION_CODE_DEL = "tb-group-del";




	// ---------- 表中字段 ----------
	/**
	 *  
	 */
	@TableId(type = IdType.AUTO)
	private Long id;

	/**
	 *  
	 */
	private String addressIds;	

	/**
	 *  
	 */
	private String address;	

	/**
	 *  
	 */
	private String detailAddress;	

	/**
	 * 名称 
	 */
	private String name;	

	/**
	 * 组长ID 
	 */
	private Long leaderId;	

	/**
	 * 组长名 
	 */
	private String leaderName;	

	/**
	 * 组长电话 
	 */
	private String leaderPhone;	

	/**
	 *  
	 */
	private String code;	

	/**
	 * 当天该组剩余额度 
	 */
	private Double leftPrice;	

	/**
	 * 创建时间 
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date createTime;

	/**
	 * 创建人编号 
	 */
	private String createBy;	

	/**
	 * 创建人名称 
	 */
	private String createName;	

	/**
	 * 更新时间 
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date updateTime;

	/**
	 * 更新人编号 
	 */
	private String updateBy;	

	/**
	 * 更新人名称 
	 */
	private String updateName;	

	/**
	 * 删除状态(0=禁用,1=启用) 
	 */
	private Integer deleteStatus;	





	


}
