package com.pj.tb_shop;

import java.io.Serializable;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_shop -- 铺位
 * @author qzy 
 */
@Data
@Accessors(chain = true)
@TableName(TbShop.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbShop extends Model<TbShop> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_shop";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-shop";
	public static final String PERMISSION_CODE_ADD = "tb-shop-add";
	public static final String PERMISSION_CODE_EDIT = "tb-shop-edit";
	public static final String PERMISSION_CODE_DEL = "tb-shop-del";




	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	@TableId(type = IdType.AUTO)
	private Long id;

	/**
	 *  
	 */
	private Long enterpriseId;	

	/**
	 * 创建者id 
	 */
	private String createBy;	

	/**
	 * 创建者名称 
	 */
	private String createName;	

	/**
	 * 更新者名称 
	 */
	private String updateName;	

	/**
	 * 创建时间 
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date createTime;	

	/**
	 * 更新者id 
	 */
	private String updateBy;	

	/**
	 * 更新时间 
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date updateTime;	

	/**
	 *  
	 */
	private Long tradeAreaId;	

	/**
	 *  
	 */
	private String tradeAreaName;	

	/**
	 *  
	 */
	private String address;	

	/**
	 *  
	 */
	private String addressIds;	

	/**
	 * 名称 
	 */
	private String name;	

	/**
	 * 编号 
	 */
	private String no;	

	/**
	 * 区域(A区=A区,B区=B区,C区=C区) 
	 */
	private String area;	

	/**
	 * 是否可用(0=否,1=是) 
	 */
	private Integer status;

	/**
	 *  
	 */
	private String remark;	

	/**
	 *  
	 */
	private String enterpriseName;	

	/**
	 * 删除状态 
	 */
	private Integer deleteStatus;





	


}
